%define upstream_name    ColorThemes-Standard
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A standard collection of generic color themes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/ColorTheme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ColorThemeBase::Static::FromStructColors)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch: noarch

%description
ColorTheme::NoColor is an empty color theme that provides no items.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1815771
- Mageia 9 Mass Rebuild

* Mon Nov 29 2021 tv <tv> 0.3.0-1.mga9
+ Revision: 1759807
- imported package perl-ColorThemes-Standard


* Mon Nov 29 2021 Thierry Vignaud <tv@mageia.org> 0.3.0-1.mga9
- initial mageia release, generated with cpan2dist
